package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractLookup;

import java.util.Set;

import org.apache.commons.lang.builder.ToStringBuilder;

public class EEServiceGroup extends AbstractLookup {
	
	private static final long serialVersionUID = 8418176843155499042L;

	private Set fields;
	
	private Set childGroups;

	//removed for performance reasons
	//private EEServiceGroup parentGroup;

	public EEServiceGroup() {
		super();
	}
	
	public Set getChildGroups() {
		return childGroups;
	}

	public void setChildGroups(Set childGroups) {
		this.childGroups = childGroups;
	}

	public Set getFields() {
		return fields;
	}

	public void setFields(Set fields) {
		this.fields = fields;
	}

	/**removed for performance reasons
	public EEServiceGroup getParentGroup() {
		return parentGroup;
	}

	public void setParentGroup(EEServiceGroup parentGroup) {
		this.parentGroup = parentGroup;
	}**/
	
	protected void buildToString(ToStringBuilder builder) {
	}

}
